## webkit2gtk 2.46.2

=== debian/changelog ===
webkit2gtk (2.46.2-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- abc-nix  Sun, 27 Oct 2024 11:55:51 +0100

webkit2gtk (2.46.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop socket-monitor-crash.patch (included in this release).
  * debian/control-common.in:
    - The libwebkit*-dev packages are no longer Multi-Arch: same.
      The s390x versions of the WebKit*.gir files are different due to a
      change in a default value (WebKit bug #279220).
  * debian/copyright:
    - Update copyright information of all files.
  * debian/rules:
    - Stop disabling jpeg-xl in Ubuntu (Jeremy Bícha).
    - Remove the USE_PREBUILT_DOCS variable, we can always build the
      documentation now.
    - Fix build with -Nlibwebkitgtk-doc.
    - Disable Skia on loong64 (Closes: #1082740).

 -- Alberto Garcia <berto@igalia.com>  Wed, 23 Oct 2024 11:57:14 +0200
