## webkit2gtk 2.46.3

=== debian/changelog ===
webkit2gtk (2.46.3-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 30 Oct 2024 14:39:03 +0100
