## webkit2gtk 2.46.4

=== debian/changelog ===
webkit2gtk (2.46.4-1~deb12u1.0nosystemd1) bookworm-security; urgency=medium

  * No systemd/elogind

 -- abc-nix  Thu, 05 Dec 2024 17:18:31 +0100

webkit2gtk (2.46.4-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security.
  * Disable sysprof profiling integration to avoid new dependencies:
    - debian/control.in: Don't depend on libsysprof-capture-4-dev.
    - debian/rules: Build with -DUSE_SYSPROF_CAPTURE=OFF.
  * Disable JPEG XL to avoid adding new dependencies.
    - debian/control.in: Remove build dependency on libjxl-dev.
    - debian/rules: Build with -DUSE_JPEGXL=OFF.
  * debian/rules:
    - Enable ENABLE_SOUP2, USE_OLD_DOC_PKG, USE_OLD_JSCBIN_PKG and
      USE_OLD_WEBDRIVER_PKG to keep using the old package names.
  * debian/control-common.in:
    - Make the -dev packages depend on the gir packages.
  * debian/control.in:
    - Build depend on ccache.

 -- Alberto Garcia <berto@igalia.com>  Mon, 02 Dec 2024 09:54:23 +0100

webkit2gtk (2.46.4-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2024-0007 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2024-44308, CVE-2024-44309 (fixed in 2.46.4).

 -- Alberto Garcia <berto@igalia.com>  Wed, 27 Nov 2024 16:00:26 +0100
