=== debian/rules ===
--- 
+++ 
@@ -11,17 +11,17 @@
 # soup2 build -> 4.0 API packages
 # soup3 build -> 4.1 API packages
 # gtk4 build  -> 6.0 API packages
-ENABLE_SOUP2=NO
+ENABLE_SOUP2=YES
 ENABLE_SOUP3=YES
 ENABLE_GTK4=YES
 # Set to YES to build libwebkit2gtk-4.0-doc instead of libwebkitgtk-doc
-USE_OLD_DOC_PKG=NO
+USE_OLD_DOC_PKG=YES
 
 # Set to YES to build libjavascriptcoregtk-4.0-bin instead of libjavascriptcoregtk-bin
-USE_OLD_JSCBIN_PKG=NO
+USE_OLD_JSCBIN_PKG=YES
 
 # Set to YES to build webkit2gtk-driver instead of webkitgtk-webdriver
-USE_OLD_WEBDRIVER_PKG=NO
+USE_OLD_WEBDRIVER_PKG=YES
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
@@ -32,15 +32,12 @@
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
 	   -DUSE_LIBBACKTRACE=OFF \
+	   -DUSE_JPEGXL=OFF \
+	   -DUSE_SYSPROF_CAPTURE=OFF \
+	   -DENABLE_JOURNALD_LOG=OFF \
 	   -DENABLE_MINIBROWSER=ON
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
-
-ifneq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
-EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSPROF_CAPTURE=ON
-else
-EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSPROF_CAPTURE=OFF
-endif
 
 # Sacrifice speed in order to make it more likely resource limits
 # won't be hit.
@@ -226,3 +223,8 @@
 			    -e 's/webkit2webextension/webkitwebprocessextension/' \
 			    -e 's/4\.0-18/6.0-1/g' \
 			    -e 's/4\.0-37/6.0-4/g' \
+			    -e 's/4\.0\.so\.37/6.0.so.4/g' \
+			    -e 's/4\.0/6.0/g' \
+			    -e 's/webkit2/webkit/g' \
+			    -e 's/WebKit2/WebKit/g' \
+			    -e '/gtk3-only/s/^ /\#/' \
