## webkit2gtk 2.46.5

=== debian/changelog ===
webkit2gtk (2.46.5-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security.
  * Disable sysprof profiling integration to avoid new dependencies:
    - debian/control.in: Don't depend on libsysprof-capture-4-dev.
    - debian/rules: Build with -DUSE_SYSPROF_CAPTURE=OFF.
  * Disable JPEG XL to avoid adding new dependencies.
    - debian/control.in: Remove build dependency on libjxl-dev.
    - debian/rules: Build with -DUSE_JPEGXL=OFF.
  * debian/rules:
    - Enable ENABLE_SOUP2, USE_OLD_DOC_PKG, USE_OLD_JSCBIN_PKG and
      USE_OLD_WEBDRIVER_PKG to keep using the old package names.
  * debian/control-common.in:
    - Make the -dev packages depend on the gir packages.
  * debian/control.in:
    - Build depend on ccache.

 -- Alberto Garcia <berto@igalia.com>  Wed, 25 Dec 2024 12:15:42 +0100

webkit2gtk (2.46.5-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Thu, 19 Dec 2024 09:55:22 +0100
