=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Alberto Garcia <berto@igalia.com>
 X-Ubuntu-Use-Langpack: no
 Build-Depends: debhelper-compat (= 13),
+               ccache,
                bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
@@ -21,13 +22,11 @@
                libicu-dev,
                libgcrypt20-dev,
                libhyphen-dev,
-               libjxl-dev,
                liblcms2-dev,
                libmanette-0.2-dev (>= 0.2.4),
-               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libxslt1-dev,
                libxml2-dev,
-               libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
+               libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
                libsqlite3-dev,
                libsystemd-dev,
                libgudev-1.0-dev,
@@ -62,11 +61,11 @@
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
 Homepage: https://webkitgtk.org/
 
-Package: libjavascriptcoregtk-bin
+Package: libjavascriptcoregtk-4.0-bin
 Section: interpreters
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: ${jscbin:Conflicts}
@@ -80,7 +79,7 @@
  .
  This package provides jsc, a command-line JavaScript interpreter.
 
-Package: libwebkitgtk-doc
+Package: libwebkit2gtk-4.0-doc
 Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
@@ -102,7 +101,7 @@
  .
  This package contains the documentation.
 
-Package: webkitgtk-webdriver
+Package: webkit2gtk-driver
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
@@ -124,30 +123,7 @@
  This package provides the WebDriver service implementation for
  WebKitGTK.
 
-Package: libwebkit2gtk-4.0-doc
-Build-Profiles: <!nodoc>
-Section: oldlibs
-Architecture: all
-Multi-Arch: foreign
-Depends: libwebkitgtk-doc, ${misc:Depends}
-Description: WebKitGTK documentation (transitional dummy package)
- This is a transitional dummy package, it can be safely removed.
-
-Package: libjavascriptcoregtk-4.0-bin
-Section: oldlibs
-Architecture: all
-Depends: libjavascriptcoregtk-bin, ${misc:Depends}
-Description: WebKitGTK JavaScript command-line interpreter (transitional dummy package)
- This is a transitional dummy package, it can be safely removed.
-
-Package: webkit2gtk-driver
-Section: oldlibs
-Architecture: all
-Depends: webkitgtk-webdriver, ${misc:Depends}
-Description: WebKitGTK WebDriver support (transitional dummy package)
- This is a transitional dummy package, it can be safely removed.
-
-Package: libjavascriptcoregtk-4.1-0
+Package: libjavascriptcoregtk-4.0-18
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -160,15 +136,16 @@
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
  high-throughput optimizing JIT (FTL).
  .
- This build comes from the GTK port of WebKit (API version 4.1).
+ This build comes from the GTK port of WebKit (API version 4.0).
  .
  This package contains the shared libraries.
 
-Package: libjavascriptcoregtk-4.1-dev
+Package: libjavascriptcoregtk-4.0-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
+         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
          libglib2.0-dev,
          ${gir:Depends},
          ${misc:Depends}
@@ -179,15 +156,15 @@
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
  high-throughput optimizing JIT (FTL).
  .
- This build comes from the GTK port of WebKit (API version 4.1).
+ This build comes from the GTK port of WebKit (API version 4.0).
  .
  This package contains the development files.
 
-Package: gir1.2-javascriptcoregtk-4.1
+Package: gir1.2-javascriptcoregtk-4.0
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
@@ -197,17 +174,17 @@
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
  high-throughput optimizing JIT (FTL).
  .
- This build comes from the GTK port of WebKit (API version 4.1).
+ This build comes from the GTK port of WebKit (API version 4.0).
  .
  This package contains the introspection data, which can be used by
  packages using the GIRepository format to generate dynamic bindings.
 
-Package: libwebkit2gtk-4.1-0
+Package: libwebkit2gtk-4.0-37
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          libgles2,
@@ -230,18 +207,19 @@
  supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
  .
  WebKitGTK is a WebKit port designed to be used in GTK applications.
- This build provides version 4.1 of the API and uses libsoup v3 for
+ This build provides version 4.0 of the API and uses libsoup v2 for
  the networking stack and the GTK 3 widget toolkit.
  .
  This package contains the shared libraries.
 
-Package: libwebkit2gtk-4.1-dev
+Package: libwebkit2gtk-4.0-dev
 Section: libdevel
 Architecture: linux-any
-Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
+Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
+         gir1.2-webkit2-4.0 (= ${binary:Version}),
          libgtk-3-dev,
-         libsoup-3.0-dev,
-         libjavascriptcoregtk-4.1-dev (= ${binary:Version}),
+         libsoup2.4-dev,
+         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
@@ -254,16 +232,16 @@
  supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
  .
  WebKitGTK is a WebKit port designed to be used in GTK applications.
- This build provides version 4.1 of the API and uses libsoup v3 for
+ This build provides version 4.0 of the API and uses libsoup v2 for
  the networking stack and the GTK 3 widget toolkit.
  .
  This package contains the development files.
 
-Package: gir1.2-webkit2-4.1
+Package: gir1.2-webkit2-4.0
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
+Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
@@ -276,13 +254,13 @@
  supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
  .
  WebKitGTK is a WebKit port designed to be used in GTK applications.
- This build provides version 4.1 of the API and uses libsoup v3 for
+ This build provides version 4.0 of the API and uses libsoup v2 for
  the networking stack and the GTK 3 widget toolkit.
  .
  This package contains introspection data, which can be used by
  packages using the GIRepository format to generate dynamic bindings.
 
-Package: libjavascriptcoregtk-6.0-1
+Package: libjavascriptcoregtk-4.1-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -295,15 +273,16 @@
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
  high-throughput optimizing JIT (FTL).
  .
- This build comes from the GTK port of WebKit (API version 6.0).
+ This build comes from the GTK port of WebKit (API version 4.1).
  .
  This package contains the shared libraries.
 
-Package: libjavascriptcoregtk-6.0-dev
+Package: libjavascriptcoregtk-4.1-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libjavascriptcoregtk-6.0-1 (= ${binary:Version}),
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         gir1.2-javascriptcoregtk-4.1 (= ${binary:Version}),
          libglib2.0-dev,
          ${gir:Depends},
          ${misc:Depends}
@@ -312,3 +291,23 @@
  JavaScriptCore is the JavaScript engine used in WebKit. It consists
  of the following building blocks: lexer, parser, start-up interpreter
  (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 4.1).
+ .
+ This package contains the development files.
+
+Package: gir1.2-javascriptcoregtk-4.1
+Section: introspection
+Architecture: linux-any
+Multi-Arch: same
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
+Description: JavaScript engine library from WebKitGTK - GObject introspection data
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
