=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 	   -DUSE_LIBBACKTRACE=OFF \
 	   -DUSE_JPEGXL=OFF \
 	   -DUSE_SYSPROF_CAPTURE=OFF \
-	   -DENABLE_JOURNALD_LOG=OFF \
 	   -DENABLE_MINIBROWSER=ON
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
@@ -228,3 +227,5 @@
 			    -e 's/webkit2/webkit/g' \
 			    -e 's/WebKit2/WebKit/g' \
 			    -e '/gtk3-only/s/^ /\#/' \
+			    -e '/gtk4-only/s/^\#/ /'
+
