## webkit2gtk 2.46.6

=== debian/changelog ===
webkit2gtk (2.46.6-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Feb 2025 18:57:33 +0100

webkit2gtk (2.46.6-1) unstable; urgency=high

  * New upstream release (Closes: #1092311).
  * Refresh debian/patches/disable-nvidia-dmabuf.patch
  * debian/copyright:
    - Update copyright information of all files.
  * debian/rules:
    - Stop using -DWTF_CPU_ARM64_CORTEXA53=OFF, this was fixed upstream a
      long time ago (WebKit bug #197192).
  * debian/upstream/signing-key.asc:
    - sq complains about multiple concatenated ASCII Armor blocks, so put
      all keys in the same block.

 -- Alberto Garcia <berto@igalia.com>  Fri, 07 Feb 2025 14:40:10 +0100

webkit2gtk (2.46.5-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.
  * debian/patches/build-fixes-for-gbm-disabled-and-release-logs.patch:
    - Drop, included upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 09 Jan 2025 08:49:10 +0100

webkit2gtk (2.46.4-1~deb11u1) bullseye-security; urgency=medium

  * Backport to bullseye.
  * debian/patches/build-fixes-for-gbm-disabled-and-release-logs.patch:
    - Backport patch from upstream to fix build with -DUSE_GBM=OFF.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Nov 2024 17:15:27 +0100

webkit2gtk (2.46.3-1~deb11u2) bullseye-security; urgency=medium

  * Enable -doc package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 21 Nov 2024 21:45:36 +0100

webkit2gtk (2.46.3-1~deb11u1) bullseye-security; urgency=medium

  [ Alberto Garcia ]
  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Build libsoup2 packages only.
    - debian/rules: Set ENABLE_SOUP2=YES, ENABLE_SOUP3=NO, ENABLE_GTK4=NO
      and USE_PREBUILT_DOCS=YES.
  * debian/rules:
    - Disable USE_AVI, USE_GBM, USE_GSTREAMER_TRANSCODER, USE_JPEGXL and
      USE_SYSPROF_CAPTURE due to missing or additional build dependencies.
    - Enable USE_OLD_DOC_PKG, USE_OLD_JSCBIN_PKG and USE_OLD_WEBDRIVER_PKG
      to keep using the old package names.
  * debian/control.in:
    - Remove build dependencies on libgstreamer-plugins-bad1.0-dev,
      libjxl-dev, libavif-dev and libsysprof-capture-4-dev.
    - Make the -dev packages depend on the gir packages.
  * debian/patches/disable-dmabuf.patch:
    - Disable the DMABuf renderer in all cases in bullseye
      (see #1054101).

  [ Emilio Pozuelo Monfort ]
  * Revert cmake bump.
  * Use clang 16 for C++23 support, and use it on every architecture.
    The GCC version in bullseye doesn't support c++2b.
  * Use and link against libc++-16.
  * Add libgstreamer-plugins-bad1.0-dev build-dependency, as required
    by the new WebKit version. This GStreamer library depends on
    libunwind-dev and looks for libunwind.pc, but libc++-16-dev depends
    on libunwind-16-dev, which conflicts/provides libunwind-dev, so we
    have to use the LLVM library. However, libunwind-16-dev ships no
    pkg-config file, so we ship our own so that CMake can find it and
    use the appropriate flags.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 20 Nov 2024 12:53:02 +0100
