=== debian/control ===
--- 
+++ 
@@ -8,11 +8,13 @@
            Alberto Garcia <berto@igalia.com>
 X-Ubuntu-Use-Langpack: no
 Build-Depends: debhelper-compat (= 13),
-               ccache,
                bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
-               cmake (>= 3.20),
+               libc++abi-16-dev,
+               libc++-16-dev,
+               clang-16,
+               cmake (>= 3.18),
                libglib2.0-dev,
                libharfbuzz-dev,
                libcairo2-dev,
@@ -26,7 +28,7 @@
                libmanette-0.2-dev (>= 0.2.4),
                libxslt1-dev,
                libxml2-dev,
-               libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
+               libsoup2.4-dev,libgtk-3-dev,
                libsqlite3-dev,
                libsystemd-dev,
                libgudev-1.0-dev,
@@ -36,7 +38,6 @@
                flex,
                ruby:native,
                unifdef,
-               libavif-dev,
                libjpeg-dev,
                libopenjp2-7-dev,
                libpng-dev,
@@ -45,7 +46,8 @@
                libxt-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-bad1.0-dev,
+               libunwind-16-dev,
                libenchant-2-dev,
                libsecret-1-dev,
                gobject-introspection,
@@ -54,7 +56,7 @@
                libegl-dev,
                libgl-dev,
                libgles-dev
-Build-Depends-Indep: gi-docgen, libglib2.0-doc, libgtk-3-doc, libsoup-3.0-doc, jdupes
+Build-Depends-Indep: jdupes
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
@@ -104,7 +106,7 @@
 Package: webkit2gtk-driver
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
+Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: ${wkwebdriver:Conflicts}
@@ -259,55 +261,3 @@
  .
  This package contains introspection data, which can be used by
  packages using the GIRepository format to generate dynamic bindings.
-
-Package: libjavascriptcoregtk-4.1-0
-Section: libs
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: JavaScript engine library from WebKitGTK
- JavaScriptCore is the JavaScript engine used in WebKit. It consists
- of the following building blocks: lexer, parser, start-up interpreter
- (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
- high-throughput optimizing JIT (FTL).
- .
- This build comes from the GTK port of WebKit (API version 4.1).
- .
- This package contains the shared libraries.
-
-Package: libjavascriptcoregtk-4.1-dev
-Section: libdevel
-Architecture: linux-any
-Multi-Arch: same
-Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
-         gir1.2-javascriptcoregtk-4.1 (= ${binary:Version}),
-         libglib2.0-dev,
-         ${gir:Depends},
-         ${misc:Depends}
-Provides: ${gir:Provides}
-Description: JavaScript engine library from WebKitGTK - development files
- JavaScriptCore is the JavaScript engine used in WebKit. It consists
- of the following building blocks: lexer, parser, start-up interpreter
- (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
- high-throughput optimizing JIT (FTL).
- .
- This build comes from the GTK port of WebKit (API version 4.1).
- .
- This package contains the development files.
-
-Package: gir1.2-javascriptcoregtk-4.1
-Section: introspection
-Architecture: linux-any
-Multi-Arch: same
-Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends}
-Provides: ${gir:Provides}
-Description: JavaScript engine library from WebKitGTK - GObject introspection data
- JavaScriptCore is the JavaScript engine used in WebKit. It consists
- of the following building blocks: lexer, parser, start-up interpreter
- (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
- high-throughput optimizing JIT (FTL).
- .
