=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,11 @@
 # soup3 build -> 4.1 API packages
 # gtk4 build  -> 6.0 API packages
 ENABLE_SOUP2=YES
-ENABLE_SOUP3=YES
-ENABLE_GTK4=YES
+ENABLE_SOUP3=NO
+ENABLE_GTK4=NO
+# Set to YES to use the docs from the tarball instead of generating them.
+# Use only if gi-docgen is not available.
+USE_PREBUILT_DOCS=YES
 # Set to YES to build libwebkit2gtk-4.0-doc instead of libwebkitgtk-doc
 USE_OLD_DOC_PKG=YES
 
@@ -22,6 +25,10 @@
 
 # Set to YES to build webkit2gtk-driver instead of webkitgtk-webdriver
 USE_OLD_WEBDRIVER_PKG=YES
+
+# GStreamer needs libunwind.pc, but we need to use libunwind-16-dev from LLVM,
+# which doesn't ship a .pc file. So we add our own to workaround it.
+export PKG_CONFIG_PATH = $(CURDIR)/debian/pkgconfig
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
@@ -32,12 +39,22 @@
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
 	   -DUSE_LIBBACKTRACE=OFF \
+	   -DUSE_AVIF=OFF \
+	   -DUSE_GBM=OFF \
+	   -DUSE_GSTREAMER_TRANSCODER=OFF \
 	   -DUSE_JPEGXL=OFF \
 	   -DUSE_SYSPROF_CAPTURE=OFF \
 	   -DENABLE_MINIBROWSER=ON
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
 
+# We need clang-16 and libc++-16 for c++2b support
+EXTRA_CMAKE_ARGUMENTS += \
+   -DCMAKE_C_COMPILER=clang-16 \
+   -DCMAKE_CXX_COMPILER=clang++-16
+CXXFLAGS += -stdlib=libc++ -I/usr/lib/llvm-16/include/c++/v1
+LDFLAGS += -stdlib=libc++ -Wl,-rpath,/usr/lib/llvm-16/lib
+
 # Sacrifice speed in order to make it more likely resource limits
 # won't be hit.
 ifeq ($(DEB_BUILD_ARCH_BITS),32)
@@ -65,11 +82,6 @@
 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1082740
 ifneq (,$(filter $(DEB_HOST_ARCH),loong64))
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SKIA=OFF
-endif
-
-# See https://bugs.webkit.org/show_bug.cgi?id=197192
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -173,7 +185,6 @@
 endif
 ifneq ($(ENABLE_GTK4),YES)
 	GTK4_BUILD = @:
-	EXTRA_DH_ARGUMENTS += -N$(LIBWEBKITGTKDOC_PKG)
 else
 	SOUP3_BUILD_DEP=libsoup-3.0-dev,
 	GTK4_BUILD_DEP=libgtk-4-dev,
@@ -216,16 +227,3 @@
 # This converts debhelper file names and contents to the gtk4 versions
 WEBKIT_DH_RENAME_GTK4 = sed -e '/usr\/include\/webkitgtk-4.0\/webkit2/d' \
 			    -e '/usr\/include\/webkitgtk-4.0\/webkitdom/d' \
-			    -e '/usr\/include\/webkitgtk-4.0\/JavaScriptCore/d' \
-			    -e 's/webkit2gtk-web-extension/webkitgtk-web-process-extension/' \
-			    -e 's/WebKit2WebExtension/WebKitWebProcessExtension/' \
-			    -e 's/webkit2webextension/webkitwebprocessextension/' \
-			    -e 's/4\.0-18/6.0-1/g' \
-			    -e 's/4\.0-37/6.0-4/g' \
-			    -e 's/4\.0\.so\.37/6.0.so.4/g' \
-			    -e 's/4\.0/6.0/g' \
-			    -e 's/webkit2/webkit/g' \
-			    -e 's/WebKit2/WebKit/g' \
-			    -e '/gtk3-only/s/^ /\#/' \
-			    -e '/gtk4-only/s/^\#/ /'
-
